package zk.support.vw;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;


public class TimingFilter implements Filter {

  @Override
  public void init(FilterConfig arg0) throws ServletException {
  }

  @Override
  public void doFilter(ServletRequest req, ServletResponse res, FilterChain chain)
      throws IOException, ServletException {

    long start = System.currentTimeMillis();
    chain.doFilter(req, res);

    long stop = System.currentTimeMillis();

    System.out.println("Request took " + (stop - start) + "ms");
  }

  @Override
  public void destroy() {
  }

}
